<template v-show="showErrorMessage">
  <v-snackbar
    :timeout="3000"
    bottom
    color="error"
    multi-line
    v-model="showErrorMessage"
  >
    <span :key="index" v-for="(item, index) in error">{{ item }}</span>
    <v-btn @click="showErrorMessage = false" icon>
      <v-icon>cancel</v-icon>
    </v-btn>
  </v-snackbar>
</template>

<script>
  import { formatErrorMessages } from '@/utils/formatErrorMessages'

  export default {
    name: 'BaseErrorMessage',
    computed: {
      showErrorMessage: {
        get () {
          return this.$store.state.error.showErrorMessage
        },
        set (value) {
          this.$store.commit('showError', value)
        }
      },
      error () {
        return formatErrorMessages('errors',
          this.$store.state.error.errorMessage)
      }
    },
    watch: {
      error () {
        setTimeout(() => {
          this.showErrorMessage = this.error !== null
        }, 100)
      }
    }
  }
</script>
